Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.localsearch.event
Interface LocalSearchSolverPhaseLifecycleListener

All Superinterfaces:
  EventListener

All Known Subinterfaces:
  Acceptor, Decider, DeciderScoreComparatorFactory, Forager, MoveFactory, Selector

All Known Implementing Classes:
  AbstractAcceptor, AbstractDeciderScoreComparatorFactory, AbstractForager, AbstractMoveFactory, AbstractSelector, AbstractTabuAcceptor, AcceptedForager, CachedMoveFactory, CompositeAcceptor, CompositeSelector, DefaultDecider, DefaultLocalSearchSolverPhase, GenericChainedChangeMoveFactory, GenericChainedChangePartMoveFactory, GenericChainedSwapMoveFactory, GenericChangeMoveFactory, GenericSwapMoveFactory, GenericSwapPillarMoveFactory, GreatDelugeAcceptor, LegacySimulatedAnnealingAcceptor, LocalSearchSolverPhaseLifecycleListenerAdapter, MoveFactorySelector, MoveTabuAcceptor, NaturalDeciderScoreComparatorFactory, PlanningEntityTabuAcceptor, PlanningValueTabuAcceptor, ShiftingHardPenaltyDeciderScoreComparatorFactory, SimulatedAnnealingAcceptor, SolutionTabuAcceptor, TopListSelector

    public interface LocalSearchSolverPhaseLifecycleListener

extends EventListener

Method Summary
`void` | `beforeDeciding(LocalSearchStepScope localSearchStepScope)`
`void` | `phaseEnded(LocalSearchSolverPhaseScope localSearchSolverPhaseScope)`
`void` | `phaseStarted(LocalSearchSolverPhaseScope localSearchSolverPhaseScope)`
`void` | `stepTaken(LocalSearchStepScope localSearchStepScope)`

Method Detail

### phaseStarted

    void phaseStarted(LocalSearchSolverPhaseScope localSearchSolverPhaseScope)

### beforeDeciding

    void beforeDeciding(LocalSearchStepScope localSearchStepScope)

### stepTaken

    void stepTaken(LocalSearchStepScope localSearchStepScope)

### phaseEnded

    void phaseEnded(LocalSearchSolverPhaseScope localSearchSolverPhaseScope)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.